Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: David Gibson <[email-masked]>
Date: Wed, 13 Jun 2007 16:12:54 +1000

On Tue, Jun 12, 2007 at 12:50:25PM +0200, Segher Boessenkool wrote:
> > So, what you're suggesting is a subnode for each described partition?
> 
> I'm saying this is a reasonable way to describe the regions
> of flash the firmware itself cares about.
> 
> This isn't anything new; it is done like this on some
> Apple systems, for example.
> 
> > Seems an awfully verbose way of going about it,
> 
> Not verbose, but flexible, and in line with everything
> else about the device tree.
> 
> > and I don't see what
> > it buys us over the partitions/partition-names pair of properties.
> 
> It is extensible.  It makes parsing trivial.  It
> represents a flash partition in a way similar to how
> a "whole" flash device is represented.

Hrm, ok.  Between you and BenH you've convinced me.  I'll try to come
up with something.  I think we'll still need to support the old
properties as backwards compatibility thing.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson